<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Edit vehicle categories </strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" #f="ngForm" autocomplete="off" (ngSubmit)="updateVehicleCategories()" class="form-horizontal">

            <div class="form-group">
                <label class="col-sm-2 control-label">Category<i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-10 form-input">
                  <input type="text"  placeholder = "Category" formControlName="category" maxlength = "20"  class="form-control" required>
                  <div class = "error-msg" *ngIf="editForm.controls['category'].invalid && (editForm.controls['category'].dirty || editForm.controls['category'].touched)">
                    <div *ngIf="editForm.controls['category'].errors.required" >
                      Category is required.
                    </div>
                  </div>
                </div>
            </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Image <i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-md-10 form-input">
                            <img *ngIf="imageUrl" class="vehiclemodeldata-image" [src]="imageUrl" alt="my DTC"/>
                          <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'" [maxFileSize]="1048576" (removed)="onRemoved($event)"
                            (uploadFinished)="imageFinishedUploading($event)"  (uploadStateChanged)="onUploadStateChanged($event)" required>
                          </image-upload>
                          <span *ngIf="spandata=='yes'" class="clearimage">
                            Remove old image before new upload.
                          </span><br>
                          <span class="image-format">
                            Only jpeg, jpg, png formats are allowed.
                          </span>
<br/>
                          <div class= "error-msg" *ngIf="editForm.controls['image'].invalid && (editForm.controls['image'].dirty || editForm.controls['image'].touched || f.submitted)">
                            <div *ngIf="editForm.controls['image'].errors.required">
                              Image is required.
                            </div>
                          </div>
                        </div>
                      </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/vehicle-categories']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

